Subject: bug#48035: Fwd: regression: “guix pack” Docker images no longer work on AWS

From: Efraim Flashner <[email-masked]>
Date: Tue, 27 Apr 2021 09:55:40 +0300

On Mon, Apr 26, 2021 at 05:16:15PM +0200, Ricardo Wurmus wrote:
> 
> Hi Guix,
> 
> I’m using “guix pack”-generated Docker images on AWS ECS.  On June 17,
> 2020 I generated and uploaded an image that works fine.  According to
> AWS this image has this manifest type:
> 
>    application/vnd.docker.distribution.manifest.v2+json
> 
> Today I generated a new image that does not work.  It cannot be opened
> by ECS; it cannot find /bin/sh, which exists.  The manifest type is now
> recognized as
> 
>    application/vnd.oci.image.manifest.v1+json
> 
> It also now detects an “Artifact media type” and prints it as
> 
>    application/vnd.oci.image.config.v1+json
> 
> I’d very much like to push a newly generated image.  Is there a way to
> generate the image as it was done in the summer of 2020?
> 
> Note that both these images appear to work “fine” with a local Docker
> installation (i.e. when run with “docker run”).  (When running /bin/sh
> in the container interactively it appears to freeze whenever I try to
> actually run a command, but perhaps I’m just holding it wrong…)
> 

On March 10th, a couple of days before your original message, docker was
updated to 19.03.15 for some security fixes. Perhaps try locally
reverting that and see if it fixes your problem.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted